var APIBase =require("../../api.base");
var system=require("../../../system");
class TestAPI extends APIBase{
   constructor(){super();}
   async test(pobj,query){
      return system.getResultSuccess({hello:"ok"});
   }
   exam(){
    return "xxx";
   }
   classDesc(){
      return {
         groupName:"auth",
         groupDesc:"认证相关的包",
         name:"AccessAuthAPI",
         desc:"关于认证的类",
         exam:"",
     };
   }
   methodDescs(){
      return [
         {
             methodDesc:"生成访问token",
             methodName:"getAccessKey",
             paramdescs:[
                 {
                     paramDesc:"访问appkey",
                     paramName:"appkey",
                     paramType:"string",
                     defaultValue:"x",
                 },
                 {
                     paramDesc:"访问secret",
                     paramName:"secret",
                     paramType:"string",
                     defaultValue:null,
                 }
             ],
             rtnTypeDesc:"xxxx",
             rtnType:"xxx"
         }
     ];
   }
}
module.exports=TestAPI;